summaryrefslogtreecommitdiff
path: root/app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-06-02 21:45:28 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-06-02 21:45:28 +0100
commit2018227e9344edb9da15fc6a4a8298086cc2aa77 (patch)
treec18e1c09e605e94e2a1e93345ad25746cc9e14b9 /app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild
parent6f8038813c460b4f0572d5ef595cdfa94af3a94d (diff)
gentoo resync : 02.06.2019
Diffstat (limited to 'app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild')
-rw-r--r--app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild b/app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild
new file mode 100644
index 000000000000..70711940f738
--- /dev/null
+++ b/app-portage/mirrorselect/mirrorselect-2.2.4-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE="xml"
+
+inherit eutils distutils-r1 prefix
+
+DESCRIPTION="Tool to help select distfiles mirrors for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Mirrorselect"
+SRC_URI="https://dev.gentoo.org/~zmedico/dist/${P}.tar.gz
+ https://dev.gentoo.org/~dolsen/releases/mirrorselect/mirrorselect-test
+ "
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86 ~x86-fbsd"
+
+RDEPEND="
+ dev-util/dialog
+ net-analyzer/netselect
+ >=dev-python/ssl-fetch-0.3[${PYTHON_USEDEP}]
+ "
+
+python_prepare_all() {
+ python_setup
+ eprefixify setup.py mirrorselect/main.py
+ echo Now setting version... VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ VERSION="${PVR}" "${PYTHON}" setup.py set_version || die "setup.py set_version failed"
+ distutils-r1_python_prepare_all
+}